Bug 449391 - sendmail allows external mail with from address xxx@localhost.localdomain
sendmail allows external mail with from address xxx@localhost.localdomain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sendmail (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Lichvar
: Regression, Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 11:53 EDT by Petr Sklenar
Modified: 2016-01-14 05:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-06-02 11:53:42 EDT
Description of problem:

clone of bugs:
54188, 171838, 238540

Version-Release number of selected component (if applicable):
rhel5

How reproducible:
always

Steps to Reproduce:
1. from a remote host, telnet host 25
2. EHLO foobar.redhat.com
3. MAIL FROM: <xxx@localhost.localdomain>

  
Actual results:
.
.
250 2.1.0 xxx@localhost.localdomain... Sender ok

Expected results:
.
.
553 5.5.4 xxx@localhost.localdomain... Real domain name required for sender 

Additional info:
It was fixed in RHEL4, but that bug is still in RHEL5. I tried
RHEL5-Server-U2-RC-1 with sendmail-8.13.8-2.el5
Comment 1 RHEL Product and Program Management 2009-03-26 12:55:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 10 errata-xmlrpc 2010-03-30 04:23:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0237.html

Note You need to log in before you can comment on or make changes to this bug.